Name:           elfinfo
Version:        1.1
Release:        5%{?dist}
Summary:        ELF file parser a subset of eu-readelf
Group:          Development/Tools
License:        GPLv2
URL:            http://code.google.com/p/elfinfo/
Source0:        http://elfinfo.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         elfinfo-1.1-build.patch

%description
This Tool is essentially a subset of eu-readelf functionality.
This package can work without libelf.

%prep
%setup -q -c
%patch0 -p1 -b .build

%build
make CFLAGS="${RPM_OPT_FLAGS}" %{?_smp_mflags} 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
make install DESTDIR=%{buildroot} INSTALL="install -p" PREFIX=%{_prefix} DOCDIR=%{_docdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/elfinfo


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 03 2008 Parag Nemade <panemade@gmail.com>- 1.1-4
- Add patches from "Michael Schwendt" to fix CFLAGS and Makefile
* Wed Dec 03 2008 Parag Nemade <panemade@gmail.com>- 1.1-3
- Remove CFLAGS as its faling to build
* Wed Dec 03 2008 Parag Nemade <panemade@gmail.com>- 1.1-2
- bump release
* Wed Dec 03 2008 Parag Nemade <panemade@gmail.com>- 1.1-1
- Update to upstream version 1.1 
* Tue Sep 29 2008 Ashok Das <ashok.s.das@gmail.com>- 1.0-1
- Initial specfile for Fedora

